Public Types | Public Member Functions | List of all members
clan::NetGameEventDispatcher< Params > Class Template Reference

`#include <event_dispatcher.h>`

## Public Types
typedef std::function< void(const NetGameEvent &, Params...) > | CallbackClass

## Public Member Functions
bool | dispatch (const NetGameEvent &game_event, Params...params)
| Dispatches the event object. More...
CallbackClass & | func_event (const std::string &name)

## Member Typedef Documentation

template<class... Params>

typedef std::function< void (const NetGameEvent &, Params... ) > clan::NetGameEventDispatcher< Params >::CallbackClass

## Member Function Documentation

template<class... Params>

bool clan::NetGameEventDispatcher< Params >::dispatch | ( | const NetGameEvent & | game_event,
|  | Params... | params
| ) |  |
| inline

Dispatches the event object.

Returns
  true if the event handler is invoked and false if the event handler is not found.

References clan::NetGameEvent::get_name().

template<class... Params>

CallbackClass& clan::NetGameEventDispatcher< Params >::func_event | ( | const std::string & | name | ) |
| inline

The documentation for this class was generated from the following file:

- event_dispatcher.h